Bug 134863 - Evolution's quick reference doesn't work
Evolution's quick reference doesn't work
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks: 131589
  Show dependency treegraph
 
Reported: 2004-10-06 16:22 EDT by Dave Malcolm
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 09:50:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Malcolm 2004-10-06 16:22:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040928

Description of problem:
evolution's quick reference is a PDF file stored here:
/usr/share/evolution/2.0/help/quickref/C/quickref.pdf

When selecting Help->Quick Reference, code in
evolution/shell/e-shell-window-commands.c: command_quick_reference

tries to use the default handler for "application/pdf" and runs it.

Fails badly on my current test machine, launching 3 kpdf instances,
fails in a different way on FC3test2


Version-Release number of selected component (if applicable):
evolution-2.0.1-2

How reproducible:
Always

Steps to Reproduce:
1. Start Evolution
2. Select Help->Quick Reference

    

Actual Results:  On FC3test2, gpdf is launched, but doesn't display
anything.

Expected Results:  A PDF viewer is launched, displaying the quick
reference

Additional info:
Comment 1 Dave Malcolm 2004-10-06 16:50:31 EDT
The quick reference PDF is viewable in xpdf, and in gpdf if loaded
directly.

BTW, it contains a reference to "Ximian Evolution"
Comment 2 Marco Pesenti Gritti 2004-10-12 09:50:15 EDT
The pdf viewer was changed by mistake to gdpf. In rawhide the default
is now back to ggv, which opens quickref.pdf correctly.

I posted a bug upstream for gpdf too:

http://bugzilla.gnome.org/show_bug.cgi?id=155186
Comment 3 Marco Pesenti Gritti 2004-10-12 16:53:52 EDT
Additionally the gpdf issue should be fixed by gpdf-2.8.0-2

Note You need to log in before you can comment on or make changes to this bug.